:root {
    --background: #F2F2F2;
    --white: #FFF;
    --black: #000;
    --dark-gray: #2E2E2E;

    --stroke-input: #707070;

    --stroke: #9B9B9B;

    --green: #03A900;
    --red: #FF0000;
    --orange: #E16C17;
    --blue: #0066FF;
}

* {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    color: var(--black);
    box-sizing: border-box;
}

::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-track {
    background: var(--background);
}

::-webkit-scrollbar-thumb {
    width: 32px;

    background: var(--stroke);

    border: 1px solid var(--background);

    border-radius: 9999px;
}

body {
    background: var(--background);

    width: 100%;

    display: flex;
    flex-direction: column;
    gap: 16px;

    padding-bottom: 150px;
}

button {
    display: flex;
    justify-content: center;
    align-items: center;

    background: var(--green);
    padding: 8px 0;

    font-weight: 600;
    color: var(--white);

    border: 0;
    border-radius: 8px;

    cursor: pointer;
}

a {
    color: var(--green);
    font-weight: 400;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 0 16px;

    z-index: 5;
}

header img {
    height: 80px;
}

.content-modal {
    display: none;
}

header .left,
header .right {
    width: 80px;

    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
}

header .right {
    position: relative;
}

header button {
    background: none;
    padding: 0;
}

header ion-icon {
    color: var(--green);
    font-size: 32px;
}


div.input-wrapper {
    position: relative;
}

div.input-wrapper input,
div.input-wrapper textarea,
div.input-wrapper select {
    background: #FFF !important;

    font-weight: 500;
    font-size: 14px;
    color: var(--dark-gray);

    width: 100%;
    padding: 10px 16px;
    border-radius: 8px;
    border: 0px solid var(--stroke-input) !important;
    box-shadow: 0 0 0.3em #AAA;
    outline: none;
    margin-bottom: 10px;

}

div.input-wrapper textarea {
    height: 104px;
}


div.input-wrapper input::placeholder,
div.input-wrapper textarea::placeholder {
    opacity: 0;
    transition: opacity 0.5;
}

div.input-wrapper input:focus::placeholder,
div.input-wrapper textarea:valid::placeholder,
div.input-wrapper textarea:focus::placeholder {
    opacity: 1;
    transition: opacity 0.5s;
}

div.input-wrapper input.focus::placeholder,
div.input-wrapper textarea.focus::placeholder {
    opacity: 1;
    transition: opacity 0.5s;
}

div.input-wrapper span.placeholder {
    position: absolute;
    margin: 12px 0;
    padding: 0 0px;

    color: var(--dark-gray);

    display: flex;
    align-items: center;

    font-size: 14px;
    font-weight: 700;

    top: 0;
    left: 12px;

    transition: all 0.2s;
    transform-origin: 0% 0%;
    background: linear-gradient(to bottom, transparent, var(--white), transparent) !important;
    pointer-events: none;
    border-radius: 5px;
}

div.input-wrapper input:valid+span.placeholder,
div.input-wrapper input:focus+span.placeholder,
div.input-wrapper textarea:valid+span.placeholder,
div.input-wrapper textarea:focus+span.placeholder {
    transform: scale(1) translate(-4px, -25px);
    background: linear-gradient(to bottom, transparent, var(--white), transparent) !important;
    border-radius: 5px;
}

div.input-wrapper input:focus,
div.input-wrapper textarea:focus {
    color: var(--dark-gray);

    border-color: #B3B3B3;
}

div.input-wrapper input:focus+span.placeholder {
    color: var(--dark-gray);
}


div.input-wrapper.focus input+span.placeholder,
div.input-wrapper.focus textarea+span.placeholder,
div.input-wrapper.focus select+span.placeholder {
    transform: scale(1) translate(-4px, -20px);
    background: var(--white);
}

div.input-wrapper.focus input,
div.input-wrapper.focus textarea,
div.input-wrapper.focus select {
    color: var(--dark-gray);

    border-color: #B3B3B3;
}

div.input-wrapper.focus select {
    border: 2px solid var(--stroke-input);
}

div.input-wrapper.focus input+span.placeholder {
    color: var(--dark-gray);
}

.input-wrapper p {
    display: none;
}

.input-wrapper.wrong p {
    display: block;
}

.input-wrapper.wrong * {
    color: var(--red);
}

.input-wrapper.wrong input {
    border: 2px solid var(--red);
}

.input-wrapper.right p {
    display: none;
}

.input-wrapper.right * {
    color: var(--green);
}

.input-wrapper.right input {
    border: 2px solid var(--green);
}

.input-radio-wrapper {
    display: flex;
    align-items: center;
    gap: 8px;
}

.input-radio-wrapper input {
    accent-color: var(--green);
    width: 14px;
    height: 14px;
}

.input-radio-wrapper label {
    font-size: 16px;
    font-weight: 500;
}

div.categoria {
    height: 100px;
}


@media(min-width: 880px) {
    body {
        padding: 0 20%;
    }

    .main {
        width: 66%;
        padding: 0 16px;
    }
}